Lavalite package that provides supplier management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/supplier`.

    "b2buy/supplier": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Supplier\Providers\SupplierServiceProvider::class,

And also add it to alias

    'Supplier'  => B2buy\Supplier\Facades\Supplier::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\SupplierTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Supplier\Providers\SupplierServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Supplier\Providers\SupplierServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Supplier\Providers\SupplierServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/supplier/{modulename}

**User**

    http://path-to-route-folder/user/supplier/{modulename}

**Public**

    http://path-to-route-folder/suppliers


### API endpoints

**List**

    http://path-to-route-folder/api/user/supplier/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/supplier/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/supplier/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/supplier/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/supplier/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/supplier/{modulename}/{slug}
    METHOD: GET